CLEAR ALL
BITMAP 1 NEW 1,800
SPRITE 1 BIND BITMAP 1 SHOW MOVE 0,400 SCALE 1280,1
TARGET BITMAP 1
s=800/16
FOR i=0 TO 15
    c=CLUT("C64",i+16)
    y1=i*s
    y2=y1+s-2
    FOR j=y1 TO y2
        POKE j,c
    NEXT j
NEXT i

' need a custom transparent pattern
b=FREE.BITMAP
BITMAP b NEW 32,32
TARGET BITMAP b
BRUSH 32
RECT FILL 0,0,31,31 ' FILL?
SWAP PIXELS RGB(0,0,0),0 ' make all black pixels transparent

c=FREE.BITMAP
BITMAP c NEW 640,400
TARGET BITMAP c
INK RGB(0,0,0)
BRUSH BITMAP b ' use our new pattern
CIRCLE FILL 320,200,150
CIRCLE 320,200,150

s=FREE.SPRITE
SPRITE s BIND BITMAP c SHOW XYSIZE 2,2
DO
    SPRITE s ROTATE 0 ROTATE TO 360,5000
    SPRITE s SCALE 1,1 SCALE TO 3,3,2500 SCALE TO 1,1,2500
    PAUSE 5000
LOOP WHILE INKEY$=""
